Extending Qt Creator Manual | NavigationView

Extending Qt Creator Manual 4.5.2

# NavigationView Class

(Core::NavigationView)

The NavigationView class is a C struct for wrapping a widget and a list of tool buttons. Wrapping the widget that is shown in the content area of the navigation widget and a list of tool buttons that is shown in the header above it. More...

Header: | #include <NavigationView>

- List of all members, including inherited members

## Public Functions

| NavigationView(QWidget *w = 0)

## Detailed Description

The NavigationView class is a C struct for wrapping a widget and a list of tool buttons. Wrapping the widget that is shown in the content area of the navigation widget and a list of tool buttons that is shown in the header above it.

## Member Function Documentation

### NavigationView::NavigationView(QWidget *w = 0)

Default constructs an instance of NavigationView.